### Constructor

# Gio ListStore new

since: 2.44

#### Declaration

    GListStore*
    g_list_store_new (
      GType item_type
    )

#### Description

Creates a new `GListStore` with items of type `item_type`. `item_type` must be a subclass of `GObject`.

Available since: 2.44

#### Parameters

`item_type`

  Type: `GType`

  The `GType` of items in the list.

#### Return value

Type: `GListStore`

A new `GListStore`.

The caller of the function takes ownership of the data, and is responsible for freeing it.